<id>
Board/Message Index Auto Refresh
</id>

<version>
1.0
</version>

<mod info>
This mod allows forum members to enable/disable auto refresh of the board and message index pages. The time period (in seconds) between refreshes can also be set.

- only the board and message index pages are refreshed
- refresh does not occur for Guest's
- only members have the option to enable/disable refresh

Note:
This mod adds 2 new settings to a members .dat file in slots 20 (line 21) and 21 (line 22).
If you have other mods installed, and they use these slots, make the necessary adjustment to the slot numbers for this mod to work correctly.

History:

V 1.0:

- SP1.3/1.3.1 compatible
</mod info>

<author>
Scarriff
</author>

<homepage>

</homepage>

<edit file>
english.lng
</edit file>

<search for>
$txt{'800'} = "Other";
</search for>

<add after>
# Board/Message Index Auto Refresh Mod

$txt{'armod1'} = "Refresh Index Pages";
$txt{'armod2'} = "Tick this option if you want the Board and Message Index pages to refresh after a certain period.";
$txt{'armod3'} = "Refresh Period";
$txt{'armod4'} = "Enter the time period in seconds between page refreshes.";
$txt{'armod5'} = "Period in seconds.";

</add after>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
	$curforumurl = $curposlinks ? qq~<a href="$scripturl" class="nav">$mbname</a>~ : $mbname;
</search for>

<add after>
	##
	## BOARD/MESSAGE INDEX AUTO REFRESH - START
	##

	if ($username ne 'Guest')
	{
		fopen(FILE, "$memberdir/$username.dat");
		@memsettings=<FILE>;
		fclose(FILE);

		foreach (@memsettings) { $_ =~ s~[\n\r]~~g; }

		if ($memsettings[20] eq '1')
		{
			$yymain .= qq~
<meta http-equiv="refresh" content="$memsettings[21]">~;
		}

	}

	##
	## BOARD/MESSAGE INDEX AUTO REFRESH - END
	##

</add after>

<edit file>
Sources/MessageIndex.pl
</edit file>

<search for>
	$curboardurl = $curposlinks ? qq~<a href="$cgi" class="nav">$boardname</a>~ : $boardname;
</search for>

<add after>
	##
	## BOARD/MESSAGE INDEX AUTO REFRESH - START
	##

	if ($username ne 'Guest')
	{
		fopen(FILE, "$memberdir/$username.dat");
		@memsettings=<FILE>;
		fclose(FILE);

		foreach (@memsettings) { $_ =~ s~[\n\r]~~g; }

		if ($memsettings[20] eq '1')
		{
			$yymain .= qq~
<meta http-equiv="refresh" content="$memsettings[21]">~;
		}

	}

	##
	## BOARD/MESSAGE INDEX AUTO REFRESH - END
	##
</add after>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
    <tr>
	<td width="320"><font size=2><b>$txt{'721'}</b></font></td>
	<td><input type="checkbox" name="hideemail" value="checked" $memsettings[19]></td>
    </tr>
~;
	}
</search for>

<add after>
	##
	## BOARD/MESSAGE INDEX AUTO REFRESH - START
	##

	my ($refperiodck);
	$refperiodck = '';
	if($memsettings[20] eq '1') { $refperiodck = 'checked'; }

	##
	## BOARD/MESSAGE INDEX AUTO REFRESH - END
	##
</add after>

<search for>
	<BR>$txt{'741'}: <i>$proftime</i></font></td>
      </tr><tr>
</search for>

<add after>
	<td width="320"><font size=2><b>$txt{'armod1'}:</b></font><BR>
	<font size="1">$txt{'armod2'}</font></td>
	<td><input type="checkbox" name="pagerefresh" value="checked" $refperiodck></td>
      </tr><tr>
	<td width="320"><font size=2><b>$txt{'armod3'}:</b></font><BR>
	<font size="1">$txt{'armod4'}</font></td>
	<td><input name="pagerefreshrate" size="5" maxlength="5" value="$memsettings[21]">
	<BR>$txt{'armod5'}</font></td>
      </tr><tr>
</add after>

<search for>
		print FILE "$FORM{'hideemail'}\n";
</search for>

<add after>
		if ($FORM{'pagerefresh'} eq "checked") { print FILE "1\n"; }
		else { print FILE "0\n"; }
		print FILE "$FORM{'pagerefreshrate'}\n";
</add after>